Aria: ArRatioInputKeydrive Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArRatioInputKeydrive Class Reference

`#include <ArRatioInputKeydrive.h>`

List of all members.

## Detailed Description

This will use the keyboard arrow keys and the ArActionRatioInput to drive the robot.

You have to make an ArActionRatioInput and add it to the robot like a normal action for this to work.

## Public Member Functions
| ArRatioInputKeydrive (ArRobot *robot, ArActionRatioInput *input, int priority=25, double velIncrement=5)
| Constructor.
void | down (void)
| Internal, callback for down arrow.
ArFunctor * | getFireCB (void)
| Internal, gets our firecb.
void | giveUpKeys (void)
| Gives up the keys this action wants to use to drive.
void | left (void)
| Internal, callback for left arrow.
void | right (void)
| Internal, callback for right arrow.
void | space (void)
| Internal, callback for space key.
void | takeKeys (void)
| Takes the keys this action wants to use to drive.
void | up (void)
| Internal, callback for up arrow.
void | x (void)
| Internal, callback for x.
void | z (void)
| Internal, callback for z.
virtual | ~ArRatioInputKeydrive ()
| Destructor.
## Protected Member Functions
void | activate (void)
void | deactivate (void)
void | fireCallback (void)
## Protected Attributes
ArFunctorC< ArRatioInputKeydrive > | myActivateCB
ArFunctorC< ArRatioInputKeydrive > | myDeactivateCB
ArFunctorC< ArRatioInputKeydrive > | myDownCB
ArFunctorC< ArRatioInputKeydrive > | myFireCB
bool | myHaveKeys
ArActionRatioInput * | myInput
double | myLatRatio
double | myLatVelIncrement
ArFunctorC< ArRatioInputKeydrive > | myLeftCB
double | myPrinting
ArFunctorC< ArRatioInputKeydrive > | myRightCB
ArRobot * | myRobot
double | myRotRatio
ArFunctorC< ArRatioInputKeydrive > | mySpaceCB
double | myThrottle
double | myTransRatio
ArFunctorC< ArRatioInputKeydrive > | myUpCB
double | myVelIncrement
ArFunctorC< ArRatioInputKeydrive > | myXCB
ArFunctorC< ArRatioInputKeydrive > | myZCB

The documentation for this class was generated from the following file:

- ArRatioInputKeydrive.h